#include <FL/Fl.H>
#include <FL/Fl_Window.H>
#include <FL/Fl_Repeat_Button.H>
#include <FL/fl_ask.H>

void handleButtonClick(Fl_Repeat_Button *button)
{
	if (button->active())
		button->deactivate();
	else
		fl_message("Oops.. Deactivated button receives event.");
}

int main(int argc, char **argv)
{
	Fl_Window *window = new Fl_Window(240, 180, "Deactivated button receives mouse events");
	Fl_Repeat_Button *button = new Fl_Repeat_Button(20, 20, 200, 140, "Click me with the mouse, keep the mouse button pressed and drag around a bit. I will receive events, although I got deactivated with the first event.");
	button->align(FL_ALIGN_WRAP);
	button->callback((Fl_Callback*)handleButtonClick, 0);
	window->end();
	window->show(argc, argv);
	return Fl::run();
}
